#
#
#
from .system import System

#
# constant predefined paths for system log dir
#
class SystemLogDir:
    
    @staticmethod
    def path():

        name = System.name()

        if System.WS_LINUX == name:
            return "/var/log"
        elif System.WS_WINDOWS == name:
            return "m:\\websafety-ui\\tools\\var\\log"
        else:
            raise Exception("Cannot determine location of log dir for system '%s'" % name)
