import os

#
#
#
from daemon.core  import DaemonPath

#
# helper function
#
def cluster_folders():

    # cluster logs are stored in a specific folder
    cluster_logs = os.path.join(DaemonPath.var_dir(), "cluster", "logs")

    # these are the folders to return
    folders = []

    # enumerate this folder and see the sub folders; these are cluster nodes
    items = os.listdir(cluster_logs)
    for item in items:

        path = os.path.join(cluster_logs, item)
        if not os.path.isdir(path):
            continue
        folders.append(path)

    # and return nicely
    return folders



