import json

#
#
#
class JsonWriter:

    def __init__(self, file):
        self.file = file

    def write(self, data):

        with open(self.file, 'w') as fout:
            json.dump(data, fout, indent=4)

#
#
#
class JsonReader:

    def __init__(self, file):
        self.file = file

    def read_object(self):

        try:
            with open(self.file) as fin:
                return json.load(fin)
        except Exception as e:
             return {}

    def read_array(self):
    
        try:
            with open(self.file) as fin:

                # load data            
                data = json.load(fin)

                # it must be list so check it
                if not isinstance(data, list):
                    raise Exception("JSON file %s is NOT AN ARRAY!" % json_file)

                # if we got here everything is ok
                return data

        except Exception as e:

            # and return nothing        
            return []