#
#
#
import os

#
#
#
from daemon.core  import DaemonPath
from daemon.utils import FileReader
from _domain.utils import VarLogFile

#
# log for the /opt/websafety/bin/wsytgd daemon
#
class WsSyncdLog(VarLogFile):

    log_name = "wssyncd.log"


#
#
#
class CloudActivateLog(object):

    def get(self):
        
        path = os.path.join(DaemonPath.var_dir(), "log", "cron_license.log")
        try:
            return FileReader(path).read()
        except Exception as e:
            return "%s does not exist yet or is not accessible, error - %s" % (path, str(e))