import os

#
#
#
from daemon.core  import System, DaemonPath
from daemon.utils import FileWriter, FileReader
from _domain.utils import CommandTail, VarLogFile

#
#
#
class UpdateLog:

    def get(self):
        
        path = os.path.join(DaemonPath.var_dir(), "log", "cron_update.log")
        try:
            return FileReader(path).read()
        except Exception as e:
            return "%s does not exist or is not accessible, error - %s. It might be the process did not write anything to the log yet. Try to refresh this page in a while." % (path, str(e))


#
# log for the /opt/websafety/bin/wsytgd daemon
#
class WsYtgdLog(VarLogFile):

    log_name = "wsytgd.log"

#
# log for the /opt/websafety/bin/wsicapd daemon
#
class WsIcapdLog(VarLogFile):

    log_name = "wsicapd.log"

    