import json
import requests

class WsYtgdStatus(object):

    def run(self, port):

        # this is the data returned by wsgsbd
        data = ""

        # try to get data from wsmgrd
        url     = "http://127.0.0.1:%d/status" % port                        
        req     = requests.get(url)
        payload = req.content

        # the wsytgd *may* return bytes
        if isinstance(payload, bytes):
            payload = payload.decode("utf-8") 

        # convert response to json
        return json.loads(payload)