import json

#
#
#
def read_json_object(json_file):

    try:
        with open(json_file) as fin:
            return json.load(fin)
    except Exception as e:
         return {}

#
#
#
def read_json_array(json_file):
    
    try:
        with open(json_file) as fin:

            # load data            
            data = json.load(fin)

            # it must be list so check it
            if not isinstance(data, list):
                raise Exception("JSON file %s is NOT AN ARRAY!" % json_file)

            # if we got here everything is ok
            return data

    except Exception as e:

        # dump to console
        print (str(e))

        # and return nothing        
        return []