#
#
#
from django import forms
from django.views import generic
from django.contrib.messages.views import SuccessMessageMixin
from django.urls import reverse

#
#
#
from squid.models import Miscellaneous


#
#
#
class ViewMiscellaneous(SuccessMessageMixin, generic.edit.UpdateView):

    model           = Miscellaneous
    fields          = ['forwarded_for', 'eui_lookup']
    template_name   = 'squid/settings/miscellaneous.html'
    success_message = 'need_squid_restart'

    def get_object(self):
        return Miscellaneous.objects.first()
    
    def get_success_url(self): 
        return reverse("squid:ViewMiscellaneous")

