import calendar
import datetime

#
#
#
class MyHTMLCalendar(calendar.HTMLCalendar):

    def formatmonth(self, theyear, themonth, link_days=[]):

        context = (theyear, themonth, link_days)

        v = []
        a = v.append
        a('<table border="0" cellpadding="0" cellspacing="0" class="table table-striped table-condensed table-hover">')
        # a('\n')
        #a(self.formatmonthname(theyear, themonth, withyear=withyear))
        # a('\n')
        a(self.formatweekheader())
        a('\n')
        for week in self.monthdays2calendar(theyear, themonth):
            a(self.formatweek(week, context))
            a('\n')
        a('</table>')
        a('\n')
        return ''.join(v)

    def formatweek(self, theweek, context):
        """
        Return a complete week as a table row.
        """

        # unpack context
        (theyear, themonth, link_days) = context

        # format days
        s = ''.join(self.formatday(d, wd, context) for (d, wd) in theweek)

        # highlight current month
        today_year  = int(datetime.datetime.now().strftime("%Y"))
        today_month = int(datetime.datetime.now().strftime("%m"))

        # render differently
        if (today_year == theyear and today_month == themonth):
            return '<tr class="alert">%s</tr>' % s
        else:
            return '<tr>%s</tr>' % s


    def formatday(self, day, weekday, context):
        """
        Return a day as a table cell.
        """

        # unpack the context
        (theyear, themonth, link_days) = context

        # highlight today
        today       = int(datetime.datetime.now().strftime("%d"))
        today_year  = int(datetime.datetime.now().strftime("%Y"))
        today_month = int(datetime.datetime.now().strftime("%m"))

        if day == 0:
            return '<td class="noday">&nbsp;</td>' # day outside month
        else:
            if day in link_days:

                if today_year == theyear and today_month == themonth and today == day:
                    return '<td class="%s"><strong><a href="/traffic/summary/%d/%d/%d/">%d</a></strong></td>' % (self.cssclasses[weekday], theyear, themonth, day, day)
                else:
                    return '<td class="%s"><a href="/traffic/summary/%d/%d/%d/">%d</a></td>' % (self.cssclasses[weekday], theyear, themonth, day, day)
            else:

                if today_year == theyear and today_month == themonth and today == day:
                    return '<td class="%s"><strong>%d</strong></td>' % (self.cssclasses[weekday], day)
                else:
                    return '<td class="%s">%d</td>' % (self.cssclasses[weekday], day)
