import os
import platform

#
#
#
class System:

    WS_WINDOWS = "windows"
    WS_LINUX   = "linux"

    @staticmethod
    def name():

        # set name
        system_str = platform.system()

        if system_str == "Windows":
            return System.WS_WINDOWS
        elif system_str == "Linux":
            return System.WS_LINUX

        raise Exception("Unknown system: %s" % system_str)

    @staticmethod
    def in_docker():
        return os.environ.get('WEBSAFETY_IN_DOCKER', False)
