#
#
#
class BuildInModules:

    def __init__(self):

        self.data = {

            "clean"                     : 1 << 1,  # actually clean
            "adblock"                   : 1 << 2, 
            "privacy"                   : 1 << 3, 
            "adult_heuristics"          : 1 << 4, 
            "adult_iwf"                 : 1 << 5,
            "adult_safesearch"          : 1 << 6,
            "adult_youtube"             : 1 << 7,
            "adult_phrases"             : 1 << 8, 
            "adult_image"               : 1 << 9,
            "categories"                : 1 << 10, 
            "custom"                    : 1 << 11,
            "http_sanitation"           : 1 << 12,
            "content_content_type"      : 1 << 13,
            "content_charset"           : 1 << 14,
            "content_transfer_encoding" : 1 << 15,
            "content_file_name"         : 1 << 16,
            "content_file_type"         : 1 << 17,
            "content_file_size"         : 1 << 18,
            "apps"                      : 1 << 19,
            "sslbump"                   : 1 << 20,
            "categories_dynamic"        : 1 << 21, 
            "ctiru"                     : 1 << 22,
            "youtube_guard"             : 1 << 23,
            "max"                       : 1 << 24
        }

    def unmap(self, value_int):

        for k, v in self.data.items(): 
            if v == value_int:
                return k

        return "none"

    def map(self, value_str):

        for k, v in self.data.items(): 
            if k == value_str:
                return v

        return 0