import os
import shutil

#
#
#
def make_folder(folder):

    if not os.path.isdir(folder):
        os.makedirs(folder)

#
#
#
def remake_folder(folder):

    if os.path.isdir(folder):
        shutil.rmtree(folder)

    os.makedirs(folder)

#
#
#
def folder_size(folder):

    if os.path.isfile(folder):
        return int(os.path.getsize(folder))

    # see if the passed in name is a file
    if not os.path.isdir(folder):
        return int(0)

    else:

        # ok this is a folder, enumerate it recursively :(
        total = int(0)
        for item in os.listdir(folder):
            newpath = os.path.join(folder, item)
            current = folder_size(newpath)
            total  += current

        return int(total)

#
#
#
def file_size(file):

    if os.path.isfile(file):
        return os.path.getsize(file)

    return 0


#
#
#
def sizeof_fmt(num, suffix='b'):
    for unit in ['', 'k', 'M', 'G', 'T', 'P', 'E', 'Z']:
        if abs(num) < 1024.0:
            return "%3.1f %s%s" % (num, unit, suffix)
        num /= 1024.0
    return "%.1f%s%s" % (num, 'Yi', suffix)

#
#
#
def file_size_human(file):

    return sizeof_fmt(
        file_size(file)
    )