import json
import requests

class WsGsbStatus(object):

    def run(self, port):

        # this is the data returned by wsgsbd
        data = ""

        # try to get data from wsmgrd
        url  = "http://127.0.0.1:%d/status" % port                        
        req  = requests.get(url)

        data = req.content

        # the wsmgrd *may* return bytes
        if isinstance(data, bytes):
            data = data.decode("utf-8") 
        
        # convert response to json
        return json.loads(data)