import psutil
#
#
#
from daemon.core import DaemonPath, System
from _domain.utils import Command
       
#
#
#
class Memory:    
    def get(self):

        # ask
        m = psutil.virtual_memory()

        # and fill
        return {
            'total'   : m.total, 
            'used'    : m.used, 
            'free'    : m.free, 
            'percent' : m.percent
        }

    # return CommandFree().run()['mem']
        
#
#
#
class Swap:    
    def get(self):

        # ask
        m = psutil.swap_memory()

        # and fill
        return {
            'total'   : m.total, 
            'used'    : m.used, 
            'free'    : m.free, 
            'percent' : m.percent
        }
        # return CommandFree().run()['swap']

#
#
#
class CommandDisk(Command):

    def run(self):
        (exit_code, stdout, stderr) = Command.run(self, ["df", "-k", DaemonPath.var_dir()]) 
        if exit_code == 0:
            line = filter(None, stdout.split('\n')[1:2])
            rows = line.split(' ')
            for row in rows:
                if row.find('%') != -1:
                    return row
        return '0%'




#
#
#
class Disk:    
    def get(self):
        return CommandDisk().run()