#
#
#
from django import forms
from django.views import generic
from django.urls import reverse
from django.contrib.messages.views import SuccessMessageMixin

#
#
#
from safety.models import ByPassToken, Policy

#
#
#
from .items import ViewItemList

'''

#
#
#
class ViewSettingsByPass(SuccessMessageMixin, ViewItemList):
    
    model           = ByPassToken
    success_message = "need_squid_restart"
    template_name   = "safety/settings/bypasstoken_list.html"

    def get_success_url(self):
        return reverse("wf:ViewSettingsByPass")

#
#
#    
class ViewSettingsByPassCreate(SuccessMessageMixin, generic.edit.CreateView): 
   
    model  = ByPassToken
    fields = ['name', 'value', 'comment']
    success_message = "need_squid_restart"
    template_name   = "safety/settings/bypasstoken_form.html"

    def get_success_url(self):
        return reverse("wf:ViewSettingsByPass")

#
#
#
class ViewSettingsByPassUpdate(SuccessMessageMixin, generic.edit.UpdateView):

    model           = ByPassToken
    fields          = ['name', 'value', 'comment']
    success_message = "need_squid_restart"
    template_name   = "safety/settings/bypasstoken_form.html"

    def get_success_url(self):
        return reverse("wf:ViewSettingsByPass")

'''


#
#
#
class BandWidthForm(forms.ModelForm):
    
    class Meta:

        model  = Policy
        fields = [
            'bandwidth_limit_enable',
            'bandwidth_policy_limit',
            'bandwidth_member_limit'
        ]
    
#
#
#
class ViewBandWidth(SuccessMessageMixin, generic.edit.UpdateView):

    model           = Policy
    form_class      = BandWidthForm
    template_name   = "safety/bandwidth_form.html"
    success_message = "need_squid_reload"

    def get_success_url(self):
        return reverse("wf:ViewBandWidth", kwargs={'pk': self.kwargs['pk']})