#
#
#
from django import forms
from django.views import generic
from django.urls import reverse
from django.contrib.messages.views import SuccessMessageMixin

#
#
#
from safety.models import YouTube

#
#
#
class YouTubeForm(forms.ModelForm):

    class Meta:
        model  = YouTube
        fields = ['bypass_to_localnet', 'api_key', 'daemon_port', 'verbose', 'cache_expiration']
    
#
#
#
class ViewSettingsYouTube(SuccessMessageMixin, generic.edit.UpdateView):

    success_message = "need_squid_reload"
    model           = YouTube
    form_class      = YouTubeForm
    template_name   = "safety/settings/youtube_form.html"

    def get_object(self):
        return YouTube.objects.first()

    def get_success_url(self):
        return reverse("wf:ViewSettingsYouTube")